﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace GDCTransformation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.CreateTable();
            this._GDC1.ItemsSource = this.GDC1Table;
            this._GDC1.ModelLoaded += new EventHandler(_GDC1_ModelLoaded);
            this._GDC2.Model.QueryCellInfo += new Syncfusion.Windows.Controls.Grid.GridQueryCellInfoEventHandler(Model_QueryCellInfo);
        }

        void Model_QueryCellInfo(object sender, Syncfusion.Windows.Controls.Grid.GridQueryCellInfoEventArgs e)
        {
            if (e.Style.ColumnIndex == 0 && e.Style.RowIndex > 0)
            {
                if (e.Style.RowIndex == 1)
                    e.Style.CellValue = "Name";
                else if (e.Style.RowIndex == 2)
                    e.Style.CellValue = "Id";
                else if (e.Style.RowIndex == 3)
                    e.Style.CellValue = "Address";
            }
        }

        void _GDC1_ModelLoaded(object sender, EventArgs e)
        {
            this.CreateTable2();
            this._GDC2.ItemsSource = this._GDC2Table;
        }

        private DataTable _GDC1Table;
        public DataTable GDC1Table
        {
            get { return _GDC1Table; }
            set { _GDC1Table = value; }
        }

        private DataTable _GDC2Table;
        public DataTable GDC2Table
        {
            get { return _GDC2Table; }
            set { _GDC2Table = value; }
        }

        void CreateTable()
        {
            DataTable _GdcTable = new DataTable();
            DataColumn coll1 = new DataColumn("Name", typeof(string));
            DataColumn coll2 = new DataColumn("Id", typeof(string));
            DataColumn coll3 = new DataColumn("Address", typeof(string));
            _GdcTable.Columns.Add(coll1);
            _GdcTable.Columns.Add(coll2);
            _GdcTable.Columns.Add(coll3);
            for (int i = 1; i <= 3; i++)
            {
                _GdcTable.Rows.Add("Name" + i.ToString(), "Id" + i.ToString(), "Address" + i.ToString());
            }
            this.GDC1Table = _GdcTable;
        }

        void CreateTable2()
        {
            DataTable _GdcTable = new DataTable();
            DataColumn coll1 = new DataColumn("Name", typeof(string));
            DataColumn coll2 = new DataColumn("Id", typeof(string));
            DataColumn coll3 = new DataColumn("Address", typeof(string));
            _GdcTable.Columns.Add(coll1);
            _GdcTable.Columns.Add(coll2);
            _GdcTable.Columns.Add(coll3);

            var row = this._GDC1.Model.RowCount;
            var coll = this._GDC1.Model.ColumnCount;
            for (int c = 1; c < coll; c++)
            {
                int r = 1;
                _GdcTable.Rows.Add(this._GDC1.Model[r, c].CellValue, _GDC1.Model[r + 1, c].CellValue, _GDC1.Model[r + 2, c].CellValue);
            }
            this._GDC2Table = _GdcTable;
        }
    }
}
